AUTOCONF(1)

NAME
autoconf - Generate configuration scripts

SYNOPSIS
autoconf [OPTION]... [TEMPLATE-FILE]

DESCRIPTION
Generate a configuration script from a TEMPLATE-FILE if given, or `configure.ac' if present, or else `configure.in'. Output is sent to the standard output if TEMPLATE-FILE is given, else into `configure'.

  Operation modes:

-h, --help
    print this help, then exit

-V, --version
    print version number, then exit

-v, --verbose
    verbosely report processing

-d, --debug
    don't remove temporary files

-f, --force
    consider all files obsolete

-o, --output=FILE
    save output in FILE (stdout is the default)

-W, --warnings=CATEGORY
    report the warnings falling in CATEGORY [syntax]

  Warning categories include:

`cross'
    cross compilation issues

`obsolete'
    obsolete constructs

`syntax'
    dubious syntactic constructs

`all'
    all the warnings

`no-CATEGORY'
    turn off the warnings on CATEGORY

`none'
    turn off all the warnings

`error'
    warnings are error

The environment variables `M4' and `WARNINGS' are honored.

  Library directories:

-B, --prepend-include=DIR
    prepend directory DIR to search path

-I, --include=DIR
    append directory DIR to search path

  Tracing:

-t, --trace=MACRO[:FORMAT]
    report the list of calls to MACRO

-i, --initialization
    also trace Autoconf's initialization process

In tracing mode, no configuration script is created. FORMAT defaults to `$f:$l:$n:$%'; see `autom4te --help' for information about FORMAT.

AUTHOR
Written by David J. MacKenzie and Akim Demaille.

REPORTING BUGS
Report bugs to <bug-autoconf@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation, Inc. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/old-licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
autoconf(1), automake(1), autoreconf(1), autoupdate(1), autoheader(1), autoscan(1), config.guess(1), config.sub(1), ifnames(1), libtool(1).

The full documentation for autoconf is maintained as a Texinfo manual. If the info and autoconf programs are properly installed at your site, the command

    info autoconf

should give you access to the complete manual.